
angular.module('workflowModeler').controller('WorkflowCategoryOperationCtrl', ['$rootScope', '$scope', function($rootScope, $scope) {

    if ($scope.property.value == undefined && $scope.property.value == null)
    {
	$scope.property.value = 'None';
    }

    $scope.ContentOperationChanged = function() {
        $scope.updatePropertyInModel($scope.property);
        var category = $scope.selectedItem.properties[4].value;
        if(category == "file") {
            hideOrShowFileProperties();
        } else if(category == "folder") {
            hideOrShowFolderProperties();
        }
    };

    var hideOrShowFileProperties = function (){
        for(var i = 0; i<$scope.selectedItem.properties.length; i++) {
            if($scope.property.value == "GET" || $scope.property.value == "GET_CONTENT") {
                if($scope.selectedItem.properties[i].key == "oryx-fileid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-filename" ||
                        $scope.selectedItem.properties[i].key == "oryx-filedescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "CREATE") {
                if($scope.selectedItem.properties[i].key == "oryx-filename"
                    || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                    || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                    || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-folderid" || $scope.selectedItem.properties[i].key == "oryx-fileid") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "UPDATE") {
                if($scope.selectedItem.properties[i].key == "oryx-filename"
                    || $scope.selectedItem.properties[i].key == "oryx-fileid"
                    || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-parentfolderid" || $scope.selectedItem.properties[i].key == "oryx-filecontent") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "DELETE") {
                if($scope.selectedItem.properties[i].key == "oryx-fileid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-filename"
                        || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-fileid"
                        || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            }
        }
    };

    var hideOrShowFolderProperties = function (){
        for(var i = 0; i<$scope.selectedItem.properties.length; i++) {
            if($scope.property.value == "GET" || $scope.property.value == "GET_CONTENT") {
                if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-foldername" ||
                        $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                        || $scope.selectedItem.properties[i].key == "oryx-folderid"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "CREATE") {
                if($scope.selectedItem.properties[i].key == "oryx-foldername"
                    || $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                    || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "UPDATE") {
                if($scope.selectedItem.properties[i].key == "oryx-foldername"
                    || $scope.selectedItem.properties[i].key == "oryx-folderid"
                    || $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-parentfolderid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if($scope.property.value == "DELETE") {
                if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-foldername"
                        || $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertHiddenValue($scope.selectedItem.properties[i], true);
                }
            }
        }
    };

    var setPropertHiddenValue = function(property, isHidden) {
        property.hidden = isHidden;
        property.value = isHidden  == false ? property.value : "";
        $scope.updatePropertyInModel(property);
    }

}]);