/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

WORKFLOW.URL = {

    getModel: function(modelId) {
        return WORKFLOW.CONFIG.contextRoot + '/app/rest/models/' + modelId + '/editor/json';
    },

    getStencilSet: function() {
        return WORKFLOW.CONFIG.contextRoot + '/app/stencil-sets/editor';
    },

    getWorkflowConversionService: function () {
        return WORKFLOW.CONFIG.contextRoot + '/app/model/conversion'
    },

    getImportProcessModelTextUrl: function () {
        return WORKFLOW.CONFIG.contextRoot + '/app/model/import-process-model/text';
    },

    putModel: function(modelId) {
        return WORKFLOW.CONFIG.contextRoot + '/app/rest/models/' + modelId + '/editor/json';
    },
    
    validateModel: function(){
        return WORKFLOW.CONFIG.contextRoot + '/app/model/validation';
    }
};